### Function

# Dex resolver_lookup_by_name_with_flags

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_resolver_lookup_by_name_with_flags (
      GResolver* resolver,
      const char* address,
      GResolverNameLookupFlags flags
    )

#### Description [src]

Wraps `g_resolver_lookup_by_name_with_flags_async()`.

Available since: 1.2

#### Parameters

`resolver`

  Type: `GResolver`

  A `GResolver`.

  The data is owned by the caller of the function.

`address`

  Type: `const char*`

  Hostname to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GResolverNameLookupFlags`

  Lookup flags.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GList` of `GInetAddress` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.